<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}

class CWidget {

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $xml;

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $tpl;
	
	

	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function GetMeta($module) {
	
		return array(
			"type"	=> strtolower(get_class($this)),
			"name"	=> $this->meta["name"],
			"module_name"	=> $module["mod_id"] ? $module["mod_name"] : $module["module_name"],
			"module"		=> $module["mod_id"] ? $module["mod_id"] : $module["module_id"],
			"module_type"	=> $module["mod_id"] ? "1" : "2",

		);

	}


	
	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function GetFormPath() {
		return $this->xml;
	}
	
}


?>